<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
	
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101 || $dostup==102){

echo '<img src="../images/img/partners.gif" alt=""> <b>Управление статусами</b><br><br>';


//------------------------------- РЕДАКТИРОВАНИЕ СТАТУСОВ ----------------------------------//	

if($action=="edit") { 	
if($status0!="" && $status1!="" && $status2!="" && $status3!="" && $status4!="" && $status5!="" && $status6!="" && $status7!="" && $status8!="" && $status9!="" && $status10!="" && $status11!="" && $status12!="" && $status13!="" && $status14!="" && $status15!="" && $status16!="" && $status17!="" && $status18!="" && $status19!="" && $status20!="" && $status21!="" && $status22!=""){
	
$arr_status=array(
$status0,$status1,$status2,$status3,$status4,$status5,$status6,$status7,
$status8,$status9,$status10,$status11,$status12,$status13,$status14,$status15,
$status16,$status17,$status18,$status19,$status20,$status21,$status22);	

for($i=0;$i<23;$i++){
$arr_status[$i]=check($arr_status[$i]); $new_status.=$arr_status[$i].'|';}	
	
$new_status=preg_replace("|[\r\n]+|si","",$new_status);

$fp=fopen(BASEDIR."local/status.dat","a+");  
flock ($fp,LOCK_EX); 
ftruncate ($fp,0);                                                              
fputs($fp,$new_status);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);   
header ("Location: status.php?isset=mp_editstatus&".SID);
}else{header ("Location: status.php?isset=mp_noeditstatus&".SID);}
}	
	
	
//------------------------------- ГЛАВНАЯ СТРАНИЦА ----------------------------------//		
if(!isset($action)){	

$text = file(BASEDIR."local/status.dat"); 
if ($text!=""){
$udta = explode("|",$text[0]);}
	
echo '<form method="post" action="status.php?action=edit&amp;'.SID.'">';	
echo '0-4 баллов:<br><input name="status0" value="'.$udta[0].'" /><br>';	
echo '5-9 баллов:<br><input name="status1" value="'.$udta[1].'" /><br>';
echo '10-19 баллов:<br><input name="status2" value="'.$udta[2].'" /><br>';
echo '20-49 баллов:<br><input name="status3" value="'.$udta[3].'" /><br>';
echo '50-99 баллов:<br><input name="status4" value="'.$udta[4].'" /><br>';
echo '100-249 баллов:<br><input name="status5" value="'.$udta[5].'" /><br>';
echo '250-499 баллов:<br><input name="status6" value="'.$udta[6].'" /><br>';
echo '500-749 баллов:<br><input name="status7" value="'.$udta[7].'" /><br>';
echo '750-999 баллов:<br><input name="status8" value="'.$udta[8].'" /><br>';
echo '1000-1249 баллов:<br><input name="status9" value="'.$udta[9].'" /><br>';
echo '1250-1499 баллов:<br><input name="status10" value="'.$udta[10].'" /><br>';
echo '1500-1749 баллов:<br><input name="status11" value="'.$udta[11].'" /><br>';
echo '1750-1999 баллов:<br><input name="status12" value="'.$udta[12].'" /><br>';
echo '2000-2249 баллов:<br><input name="status13" value="'.$udta[13].'" /><br>';
echo '2250-2499 баллов:<br><input name="status14" value="'.$udta[14].'" /><br>';
echo '2500-2749 баллов:<br><input name="status15" value="'.$udta[15].'" /><br>';
echo '2750-2999 баллов:<br><input name="status16" value="'.$udta[16].'" /><br>';
echo '3000-3249 баллов:<br><input name="status17" value="'.$udta[17].'" /><br>';
echo '3250-3499 баллов:<br><input name="status18" value="'.$udta[18].'" /><br>';
echo '3500-4999 баллов:<br><input name="status19" value="'.$udta[19].'" /><br>';
echo '5000-7499 баллов:<br><input name="status20" value="'.$udta[20].'" /><br>';
echo '7500-4999 баллов:<br><input name="status21" value="'.$udta[21].'" /><br>';
echo '10000 баллов и выше:<br><input name="status22" value="'.$udta[22].'" /><br>';
	
if($config_themes!="wml"){	
echo '<input value="Сохранить" type="submit" /></form><hr>';

}else{
	
echo '<anchor>Сохранить';
echo '<go href="status.php?action=edit&amp;'.SID.'" method="post">';
echo '<postfield name="status0" value="$(status0)"/>';
echo '<postfield name="status1" value="$(status1)"/>';
echo '<postfield name="status2" value="$(status2)"/>';
echo '<postfield name="status3" value="$(status3)"/>';
echo '<postfield name="status4" value="$(status4)"/>';
echo '<postfield name="status5" value="$(status5)"/>';
echo '<postfield name="status6" value="$(status6)"/>';
echo '<postfield name="status7" value="$(status7)"/>';
echo '<postfield name="status8" value="$(status8)"/>';
echo '<postfield name="status9" value="$(status9)"/>';
echo '<postfield name="status10" value="$(status10)"/>';
echo '<postfield name="status11" value="$(status11)"/>';
echo '<postfield name="status12" value="$(status12)"/>';
echo '<postfield name="status13" value="$(status13)"/>';
echo '<postfield name="status14" value="$(status14)"/>';
echo '<postfield name="status15" value="$(status15)"/>';
echo '<postfield name="status16" value="$(status16)"/>';
echo '<postfield name="status17" value="$(status17)"/>';
echo '<postfield name="status18" value="$(status18)"/>';
echo '<postfield name="status19" value="$(status19)"/>';
echo '<postfield name="status20" value="$(status20)"/>';
echo '<postfield name="status21" value="$(status21)"/>';
echo '<postfield name="status22" value="$(status22)"/>';
echo '</go></anchor><br>--------------------<br>';
	
	
}}

//-------------------------------- КОНЦОВКА ------------------------------------//	
echo '<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
